CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

索引属性 (ActiveX)

2023-1-3 14:28| 发布者: admin| 查看: 304| 评论: 0|来自: AutoCAD

摘要: 指定菜单或工具栏项的索引。

指定菜单或工具栏项的索引。

支持的平台:仅窗口

签名

工 务 局:

object.Index
对象

类型:弹出菜单项,工具栏项

此属性适用的对象。

属性值

只读:是的

类型:整数

菜单或工具栏项的位置;索引中的第一个位置是 0。

言论

没有额外的评论。

发布信息

释放:AutoCAD 2000 至 AutoCAD 2017

示例 - 弹出菜单项

工 务 局:

Sub Example_Index()
    ' This example iterates through the first menu in the menu bar
    ' and displays the index for each menu item.
    
    Dim menuItem As AcadPopupMenuItem
    Dim menuIndex As String
    menuIndex = ""
    
    For Each menuItem In ThisDrawing.Application.MenuBar.Item(0)
        menuIndex = menuIndex & menuItem.TagString & " has the index: " & menuItem.index & vbCrLf
    Next menuItem
    MsgBox menuIndex
    
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Index()
    ;; This example iterates through the first menu in the menu bar
    ;; and displays the index for each menu item.
    (setq acadObj (vlax-get-acad-object))

    (setq menuIndex "")    
    (vlax-for menuItem (vla-Item (vla-get-MenuBar acadObj) 0)
        (setq menuIndex (strcat menuIndex (vla-get-TagString menuItem) " has the index: " (itoa (vla-get-Index menuItem)) "\n"))
    )
    (alert menuIndex)
)

示例 - 文件依赖项(已过时)

工 务 局:

Sub Example_IndexFDL()
    ' This example reads information from a File Dependency List
    ' Open a drawing from the sample Sheet Sets that contains xrefs, such as
    ' \Sample\Sheet Sets\Architectural\A-01.dwg
    
    Dim objFDLCol As AutoCAD.AcadFileDependencies
    Dim objFDL As AutoCAD.AcadFileDependency
    
    Set objFDLCol = ThisDrawing.FileDependencies
    MsgBox ("The number of entries in the File Dependency List is " & objFDLCol.count & ".")
        
    Dim strTemp As String
    For Each objFDL In objFDLCol
        strTemp = "Affects graphics?: " & vbTab & objFDL.AffectsGraphics
        strTemp = strTemp & vbCrLf & "Feature: " & vbTab & objFDL.Feature
        strTemp = strTemp & vbCrLf & "FileName: " & vbTab & objFDL.FileName
        strTemp = strTemp & vbCrLf & "FileSize: " & vbTab & objFDL.FileSize
        strTemp = strTemp & vbCrLf & "Fingerprint GUID: " & vbTab & objFDL.FingerprintGuid
        strTemp = strTemp & vbCrLf & "FoundPath: " & vbTab & objFDL.FoundPath
        strTemp = strTemp & vbCrLf & "FullFileName: " & vbTab & objFDL.FullFileName
        strTemp = strTemp & vbCrLf & "Index: " & vbTab & objFDL.Index
        strTemp = strTemp & vbCrLf & "Modified?: " & vbTab & objFDL.IsModified
        strTemp = strTemp & vbCrLf & "ReferenceCount: " & vbTab & objFDL.ReferenceCount
        strTemp = strTemp & vbCrLf & "Timestamp: " & vbTab & objFDL.TimeStamp
        strTemp = strTemp & vbCrLf & "Version GUID: " & vbTab & objFDL.VersionGuid
        MsgBox strTemp
    Next
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_IndexFDL()
    ;; This example reads information from a File Dependency List
    ;; Open a drawing from the sample Sheet Sets that contains xrefs, such as
    ;; .\\Sample\\Sheet Sets\\Architectural\\A-01.dwg
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
        
    (setq objFDLCol (vla-get-FileDependencies doc))
    (alert (strcat "The number of entries in the File Dependency List is " (itoa (vla-get-Count objFDLCol)) "."))

    (setq strTemp "")
    (vlax-for each-objFDL objFDLCol
        (setq strTemp (strcat "Affects graphics?: " (if (= (vla-get-AffectsGraphics each-objFDL) :vlax-true) "True" "False")))
        (setq strTemp (strcat strTemp
			                           "\nFeature: " (vla-get-Feature each-objFDL)
			                           "\nFileName: " (vla-get-FileName each-objFDL)
			                           "\nFileSize: " (itoa (vla-get-FileSize each-objFDL))
			                           "\nFingerprint GUID: " (vla-get-FingerprintGuid each-objFDL)
			                           "\nFoundPath: " (vla-get-FoundPath each-objFDL)
			                           "\nFullFileName: " (vla-get-FullFileName each-objFDL)
			                           "\nIndex: " (itoa (vla-get-Index each-objFDL))
			                           "\nModified?: " (if (= (vla-get-IsModified each-objFDL) :vlax-true) "True" "False")
			                           "\nReferenceCount: " (itoa (vla-get-ReferenceCount each-objFDL))
			                           "\nTimeStamp: " (itoa (vla-get-TimeStamp each-objFDL))
			                           "\nVersion GUID: " (vla-get-VersionGuid each-objFDL)
	                     )
	       )
        (alert strTemp)
    )
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 04:13

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部